mptscsih_add_chain
Prev | Fusion message devices | Next

## Name

mptscsih_add_chain — Place a chain SGE at address pAddr.

## Synopsis

`void mptscsih_add_chain (` | char * | pAddr,
| u8 | next,
| u16 | length,
| dma_addr_t | dma_addr`)`;

## Arguments

`pAddr`

  virtual address for SGE

`next`

  nextChainOffset value (u32's)

`length`

  length of next SGL segment

`dma_addr`

  Physical address

## Description

This routine places a MPT request frame back on the MPT adapter's FreeQ.

Prev | Up | Next
mptscsih_add_sge | Home | mptscsih_info_scsiio